#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a1,a2;
    char c1,c2;
    cin>>c1>>c2>>a1>>a2;
    if(abs(a1-a2)>1) cout<<"nemoguce";
    else
    {
        if(a1<a2)
        {
            swap(a1,a2);
            swap(c1,c2);
        }

        if(a1==a2)
        {
            for(int i=0;i<a1;i++)
            {
                cout<<c1<<c2;
            }
        }
        else
        {
            cout<<c1;
            a1--;
            for(int i=0;i<a1;i++)
            {
                cout<<c2<<c1;
            }
        }
    }
    cout<<endl;
    return 0;
}